org.eclipse.jetty.util

## Class Utf8Appendable.NotUtf8Exception

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.eclipse.jetty.util.Utf8Appendable.NotUtf8Exception

All Implemented Interfaces:
  Serializable

Enclosing class:
  Utf8Appendable

    public static class Utf8Appendable.NotUtf8Exception
    extends IllegalArgumentException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Utf8Appendable.NotUtf8Exception(String reason)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Utf8Appendable.NotUtf8Exception

    public Utf8Appendable.NotUtf8Exception(String reason)